#ifndef DEFS_H
#define DEFS_H

#define VERSION_STRING "1.08"

typedef unsigned char uchar;
typedef unsigned int uint;

#define ALLOCA(var, size) char* var = (char*) alloca(size)

#define FALSE 0
#define TRUE 1
#ifndef NULL
#define NULL 0L
#endif

#define EMPTY 0
#define BLACK 1
#define WHITE 2

#ifndef MIN
# define MIN(a, b) ( (a)<(b)? (a):(b) )
#endif
#ifndef MAX
# define MAX(a, b) ( (a)>(b)? (a):(b) )
#endif
#ifndef ABS
# define ABS(a) ( (a)<0? -(a):(a) )
#endif

// Win32 specific options

#define FIXED_FONT fl_fonts+5
#define FIXED_FONTSIZE 12

#if 0
#include <time.h>

// not defined anymore !! how am I going to get time now ... :(
//#ifndef CLK_TCK
#ifndef WIN32
# include <unistd.h>
# define CLK_TCK  sysconf(_SC_CLK_TCK) // is that standard ?
#endif
#endif

#define TIME_FACTOR 1000

#define CKM_STORED 1


#endif
